Synthetic example API 1.0.0
DRAFT — fictional contract for learning and testing DOCS. No service exists at the example domain.
Read-only reference; requests are not executed by the documentation.
GET /samples/{id}
Section titled “GET /samples/{id}”Read a synthetic sample
Read-only illustrative operation. Authentication token EXAMPLE_TOKEN_DO_NOT_USE is synthetic.
operationId: sampleRead
Authentication: [{"exampleBearer":[]}]
- 200: Synthetic sample
- 401: Missing or invalid token
Parameters
Section titled “Parameters”[ { "name": "id", "in": "path", "required": true, "description": "Synthetic identifier", "schema": { "type": "string" }, "example": "synthetic-1" }]Responses
Section titled “Responses”{ "200": { "description": "Synthetic sample", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Sample" }, "example": { "id": "synthetic-1", "label": "Example" } } } }, "401": { "description": "Missing or invalid token" }}Schemas
Section titled “Schemas”{ "Sample": { "type": "object", "x-docs-classification": "PUBLIC", "required": [ "id", "label" ], "additionalProperties": false, "properties": { "id": { "type": "string" }, "label": { "type": "string" } } }}© MiloslavHub · CC BY 4.0